<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.HallWindowController">
   <children>
      <ImageView fitHeight="400.0" fitWidth="600.0" pickOnBounds="true" preserveRatio="true">
         <image>
            <Image url="@ikone/pozadina.jpg" />
         </image>
      </ImageView>
      <Button layoutX="80.0" layoutY="230.0" mnemonicParsing="false" onAction="#dodajSaluButton" prefWidth="150.0" style="-fx-background-color: #B39374;" text="Dodaj novu salu" textFill="WHITE" />
      <Button layoutX="80.0" layoutY="130.0" mnemonicParsing="false" onAction="#izmijeniSaluButton" prefWidth="150.0" style="-fx-background-color: #B39374;" text="Izmijeni salu" textFill="WHITE" />
      <Button layoutX="80.0" layoutY="180.0" mnemonicParsing="false" onAction="#obrisiSaluButton" prefWidth="150.0" style="-fx-background-color: #B39374;" text="Obrisi salu" textFill="WHITE" />
      <Label layoutX="300.0" layoutY="80.0" text="Postojece sale u trazenoj zgradi:" />
      <ScrollPane fx:id="HallScrollPane" layoutX="300.0" layoutY="100.0" onKeyTyped="#onKeyTyped" prefHeight="200.0" prefWidth="200.0">
         <content>
            <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="200.0" prefWidth="200.0" />
         </content>
      </ScrollPane>
      <ComboBox fx:id="zgradecomboBox" layoutX="80.0" layoutY="80.0" onAction="#setHalls" prefWidth="150.0" promptText="Zgrada" style="-fx-background-color: #B39374;" />
      <Button layoutX="160.0" layoutY="280.0" mnemonicParsing="false" onAction="#nazad" prefWidth="70.0" style="-fx-background-color: #B39374;" text="Nazad" textFill="WHITE" />
   </children>
</AnchorPane>
